%define pkgname xfwp

Summary: X.Org X11 X firewall proxy
Name: xorg-x11-%{pkgname}
Version: 1.0.1
Release: 1.2
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org

Source0: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xfwp-1.0.1.tar.bz2
Source1: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/proxymngr-1.0.1.tar.bz2
Source2: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xfindproxy-1.0.1.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME: The BuildRequires are all missing here and need to be figured out.
# That's low priority for now though, unless we encounter real build
# failures in beehive.

BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros >= 1.0.0

# FIXME: This seems odd to require lbxproxy to *build*
# proxymngr needs lbxproxy at build time 
BuildRequires: lbxproxy

# FIXME: check if still needed for X11R7
Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Provides: xfwp proxymngr xfindproxy

# NOTE: These utilities used to be in XFree86, xorg-x11
Obsoletes: XFree86, xorg-x11

%description
The  X firewall proxy (xfwp) is an application layer gateway proxy that
may be run on a network firewall host to forward X traffic  across  the
firewall.

%prep
%setup -q -c %{name}-%{version} -a1 -a2

%build
# Build everything
{
   for pkg in * ; do
      pushd $pkg
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in * ; do
      pushd $pkg
      %makeinstall
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_bindir}
%{_bindir}/proxymngr
%{_bindir}/xfindproxy
%{_bindir}/xfwp
%dir %{_libdir}/X11
%dir %{_libdir}/X11/proxymngr
%{_libdir}/X11/proxymngr/pmconfig
%dir %{_mandir}
%dir %{_mandir}/man1
%{_mandir}/man1/proxymngr.1x*
%{_mandir}/man1/xfindproxy.1x*
%{_mandir}/man1/xfwp.1x*

%changelog
* Mon Feb 26 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all tarballs to version 1.0.1 from X11R7.0

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all tarballs to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match RC4 default.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.1-3
- require newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Add "Obsoletes: XFree86, xorg-x11", as these utils used to be there in
  in monolithic X packaging.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Initial build of xfwp, proxymngr, xfindproxy from X11R7 RC2.
- Added "BuildRequires: lbxproxy" for proxymngr.
